## u3-tool 0.0~svn5

=== src/Makefile ===
OBJ = main.o secure_input.o display_progress.o md5.o u3_commands.o u3_error.o
OBJ_SG = u3_scsi_sg.o
OBJ_USB = u3_scsi_usb.o
OBJ_DEBUG = u3_scsi_debug.o

CFLAGS += -g -Wall

.PHONY: all clean

all: u3_tool u3_tool_sg

u3_tool: $(OBJ) $(OBJ_USB)
	$(CC) -o u3_tool $(OBJ) $(OBJ_USB) $(LDFLAGS) -lusb 

u3_tool_sg: $(OBJ) $(OBJ_SG)
	$(CC) -o u3_tool_sg $(OBJ) $(OBJ_SG) $(LDFLAGS)

u3_tool_debug: $(OBJ) $(OBJ_DEBUG)
	$(CC) -o u3_tool_debug $(OBJ) $(OBJ_DEBUG) $(LDFLAGS)

main.o: main.c u3.h

secure_input.o: secure_input.c secure_input.h

display_progress.o: display_progress.c display_progress.h

md5.o: md5.c md5.h

u3_commands.o: u3_commands.c u3_commands.h u3.h

u3_error.o: u3_error.c u3_error.h u3.h

u3_scsi_sg.o: u3_scsi_sg.c u3_scsi.h sg_err.h u3.h

u3_scsi_usb.o: u3_scsi_usb.c u3_scsi.h u3.h

u3_scsi_debug.o: u3_scsi_debug.c u3_scsi.h u3.h

clean:
	rm -f u3_tool u3_tool_sg u3_tool_debug $(OBJ) $(OBJ_SG) $(OBJ_USB) $(OBJ_DEBUG)

## u3-tool 0.3

=== debian/changelog ===
u3-tool (0.3-4) unstable; urgency=medium

  * Add loong64 to list of architectures. Closes: #1050426

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 24 Aug 2023 20:34:42 +0200

u3-tool (0.3-3) unstable; urgency=medium

  * Drop arm and mips from the list of architectures, add arm64,
    mips64el, ppc64el, sh4, x32

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 25 Jun 2017 15:13:32 +0000

u3-tool (0.3-2) unstable; urgency=medium

  * New maintainer. Thanks Evgeni Golov for handing over.
    Closes: #848547
  * Acknowledge NMU
  * Packaging cleanup
    - Update debian/copyright
    - Declare compliance with policy 3.9.8
    - Switch to source format 3.0 (quilt)
    - Bump debhelper compat level to 10
    - Enable full hardening build
    - Update watch file
  * Include all upstream changes until r59. Closes: #599167, #729312
  * Fix remaining typos. Closes: #628748

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 22 Dec 2016 18:34:22 +0100

u3-tool (0.3-1.1) unstable; urgency=low

  * NMU, added armhf to arch list. (Closes: #596989)

 -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011 15:27:19 +0000

u3-tool (0.3-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
    + Make watchfile working, as upstream has tarballs now.
  * debian/README.source:
    + Remove README.source, it's not needed anymore.
  * debian/control:
    + Standards-Version: 3.8.3
  * debian/rules:
    + Don't override configure, upstream installs in sbin now.
  * debian/u3-tool.links:
    + Remove the links, we ship only one backend now.
  * debian/control:
    + Update years and upstream url.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 24 Nov 2009 11:36:34 +0100

u3-tool (0.2-1) unstable; urgency=low

  * New upstream release.
    Closes: #538078
  * debian/watch:
    + Add watch file as upstream has now released a stable version.
  * debian/rules:
    + Use dh 7 tiny rules file.
    + But override dh_auto_install, the tool needs root privileges to
      work, so install in /usr/sbin.
  * debian/control:
    + Add pkg-config Build-Dep.
    + Standards-Version: 3.8.2, no changes needed.
  * debian/docs:
    + Remove commands.txt, it's not shipped by upstream anymore.
  * debian/u3-tool.install:
    + Drop the file, upstream's build-system is fine.
  * debian/u3-tool.links:
    + It's u3-tool-usb now that needs a manpage link.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 28 Jul 2009 21:25:33 +0200

u3-tool (0.0~svn5-1) unstable; urgency=low

  * Initial release. (Closes: #518756)

 -- Evgeni Golov <evgeni@debian.org>  Thu, 30 Apr 2009 09:55:54 +0200

=== debian/control ===
Source: u3-tool
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://sourceforge.net/projects/u3-tool/
Standards-Version: 4.6.2
Vcs-Browser: https://git.in-ulm.de/cbiedl/u3-tool
Vcs-Git: https://git.in-ulm.de/cbiedl/u3-tool.git
Build-Depends: debhelper-compat (= 13),
    libusb-dev,
    pkg-config,
Priority: optional
Rules-Requires-Root: no
Section: utils

Package: u3-tool
Architecture: alpha any-amd64 arm64 armel armhf any-i386 ia64 loong64 mips64el mipsel ppc64el sh4 x32
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: tool for controlling the special features of a U3 USB flash disk
 Tool for controlling USB flash devices that conform to the U3 specifications.
 You can do the following with your U3 flash:
  * Replace the CD image
  * Change the size of the virtual CD or completely remove it
  * Enable and disable security
  * Unlock and change the password of secured U3 device
  * Obtain various device information

=== debian/watch ===
version=4
https://qa.debian.org/watch/sf.php/@PACKAGE@/@PACKAGE@-([\d\.]+)\.tar\.gz
